import { Observable } from 'rxjs/Observable';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { Router } from '@angular/router';
import { BootstrapAdsService } from '../ads/bootstrap-ads.service';
import { BootstrapBackdropService } from '../backdrop/bootstrap-backdrop.service';
import { HttpClient } from '@angular/common/http';
import { Game, GameCacheService, GameFactory } from 'jtb-core-games-ui';
export declare class BootstrapActionsService {
    private http;
    private router;
    private gameFactory;
    private modalService;
    private ads;
    private backdrop;
    private gameCache;
    private errorModal;
    private confirmModal;
    constructor(http: HttpClient, router: Router, gameFactory: GameFactory, modalService: NgbModal, ads: BootstrapAdsService, backdrop: BootstrapBackdropService, gameCache: GameCacheService);
    /**
     * Modal must take error message public confirmMessage string in inner model
     * @param modal
     */
    setCofirmComponent(modal: any): void;
    /**
     * Modal must take error message public errorMessage string in inner model
     * @param modal
     */
    setErrorComponent(modal: any): void;
    takeAction(httpObservable: Observable<Object>): Observable<Game>;
    takeActionWithConfirm(message: string, httpObservable: Observable<Object>): Observable<Game>;
    newGame(options: any): void;
    accept(game: Game): void;
    reject(game: Game): void;
    quit(game: Game): void;
    rematch(game: Game): void;
    declineRematch(game: Game): void;
    gameAction(game: Game, action: string, body?: any): Observable<Object>;
    gameURL(game: Game): string;
}
